hpp-corbaserver: ConfigurationConstraint Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ConfigurationConstraint Class Reference

`#include <hpp/constraints_idl/constraints-idl.hh>`

Inheritance diagram for ConfigurationConstraint:
[legend]
Collaboration diagram for ConfigurationConstraint:
[legend]

## Public Types
typedef ConfigurationConstraint_ptr | _ptr_type
typedef ConfigurationConstraint_var | _var_type
Public Types inherited from DifferentiableFunction
typedef DifferentiableFunction_ptr | _ptr_type
typedef DifferentiableFunction_var | _var_type

## Public Member Functions
virtual | ~ConfigurationConstraint ()
inline ::hpp::constraints_idl::ConfigurationConstraint_ptr | _this ()
Public Member Functions inherited from DifferentiableFunction
virtual | ~DifferentiableFunction ()
inline ::hpp::constraints_idl::DifferentiableFunction_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from DifferentiableFunction
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from DifferentiableFunction
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef ConfigurationConstraint_ptr ConfigurationConstraint::_ptr_type

## ◆ _var_type

typedef ConfigurationConstraint_var ConfigurationConstraint::_var_type

## Constructor & Destructor Documentation

## ◆ ~ConfigurationConstraint()

virtual ConfigurationConstraint::~ConfigurationConstraint | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type ConfigurationConstraint::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type ConfigurationConstraint::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void ConfigurationConstraint::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type ConfigurationConstraint::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type ConfigurationConstraint::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::constraints_idl::ConfigurationConstraint_ptr ConfigurationConstraint::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type ConfigurationConstraint::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type ConfigurationConstraint::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* ConfigurationConstraint::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/constraints_idl/constraints-idl.hh